//
//  StreamBroker.cs
//
//  Copyright (c) Lukas Lipka, 2007.
//

using System;
using System.IO;
using System.Net;
using System.Collections;
using System.Collections.Generic;

namespace Banshee.Webcast.Brokers {
	
	public class StreamBroker : IBroker {
		
		public StreamBroker ()
		{
		}
		
		public void HandleRequest (HttpListenerContext context)
		{
			HttpListenerRequest request = context.Request;
			HttpListenerResponse response = context.Response;

			Log.Debug (this, "Got STREAM request!");

			// FIXME: Handle incorrect arguments ;-)
			int id = Int32.Parse (request.Url.LocalPath.Substring (request.Url.LocalPath.LastIndexOf ('/') + 1));

			BansheeProxy proxy = new BansheeProxy ();
			FileInfo track = proxy.GetTrack (id);

			int bytes_read = 0;
			byte[] buffer = new byte [4096];

			if (track.Exists) {
				using (FileStream stream = track.Open (FileMode.Open)) {
					response.ContentLength64 = stream.Length;
					
					while ((bytes_read = stream.Read (buffer, 0, 4096)) > 0) {
						response.OutputStream.Write (buffer, 0, bytes_read);
					}
				}
			} else {
				Log.Error (this, "Error opening '{0}'", track.FullName);
			}

			response.OutputStream.Close ();
		}

		public string Name { 
			get { return "Stream request broker"; }
		}

		public string Path { 
			get { return "/stream/*"; }
		}
	}
}
