//
//  JTrack.cs
//
//  Copyright (c) Lukas Lipka, 2007.
//

using System;
using System.Collections;
using System.Collections.Generic;

namespace Banshee.Webcast.Json {
	
	public class JTrack {

		// Sample Json track layout sent to the web server
		// interface.
		//
		// {
		// "Id": "1", 
		// "Number": "1",
		// "Artist": "Built to Spill",
		// "Album": "Keep It Like a Secret",
		// "Title": "Carry the Zero",
		// "Length": "5:43",
		// }	       
		
		private string id = null;
		private string number = null;
		private string artist = null;
		private string album = null;
		private string title = null;
		private string length = null;
		
		public JTrack ()
		{
		}

		public JTrack (string id, string number, string artist, string album, string title, string length)
		{
			this.id = id;
			this.number = number;
			this.artist = artist;
			this.album = album;
			this.title = title;
			this.length = length;
		}

		public JTrack (string artist, string album, string title)
		{
			this.artist = artist;
			this.album = album;
			this.title = title;
		}

		public string Id {
			get { return id; }
			set { id = value; }
		}

		public string Number {
			get { return number; }
			set { number = value; }
		}

		public string Artist {
			get { return artist; }
			set { artist = value; }
		}
		
		public string Album {
			get { return album; }
			set { album = value; }
		}
		
		public string Title {
			get { return title; }
			set { title = value; }
		}

		public string Length {
			get { return length; }
			set { length = value; }
		}
	}
}
