//
//  Log.cs
//
//  Copyright (c) Lukas Lipka, 2007.
//

using System;
using System.IO;

namespace Banshee.Webcast {

	public class Log {

		private static TextWriter writer = null;

		static Log ()
		{
			writer = Console.Out;
		}

		private static void Message (string level, string type, string message, params object[] args)
		{
			string text = String.Format (message, args);
			string output = String.Format ("{0} - {1}: {2}", level, type, text);

			writer.WriteLine (output);
		}

		public static void Debug (object o, string message, params object[] args)
		{
			Message ("DEBUG", o.GetType ().Name, message, args);
		}

		public static void Debug (object o, Exception e)
		{
			Debug (o, e.ToString ());
		}

		public static void Error (object o, string message, params object[] args)
		{
			Message ("ERROR", o.GetType ().Name, message, args);
		}

		public static void Error (object o, Exception e)
		{
			Error (o, e.ToString ());
		}

		public static void Write (string message, params object[] args)
		{
			Message ("UNKNOWN", "<???>", message, args);
		}

		public static void Write (Exception e)
		{
			Write (e.ToString ());
		}
	}
}
