//
//  Webcast.cs
//
//  Copyright (c) Lukas Lipka, 2007.
//

using System;

using Banshee.Webcast.Brokers;

namespace Banshee.Webcast {

	public class Webcast {

		private Webserver webserver = null;

		public Webcast ()
		{
			Log.Debug (this, "Starting Banshee Webcast 0.0...");

			webserver = new Webserver ("0.0.0.0", 2222);
			webserver.Register (new AlbumArtBroker ());
			webserver.Register (new HtmlBroker ());
			webserver.Register (new StreamBroker ());
			webserver.Register (new JsonBroker ());
			webserver.Start ();

			Console.ReadLine ();

			webserver.Stop ();

		        Log.Debug (this, "Exiting!");
		}
	}
}
